local class = require("core.class")
local EntityZoneEvents = class.Class("EntityZoneEvents")
function OnScriptLoaded(level, obj)
  local refnode = obj.Parent
  local zoneParent = refnode.Parent
  game.SubObject.SetEntityZoneHandler(obj, zoneParent)
  game.SubObject.Sleep(obj)
end
function OnSaveCheckpoint(level, obj)
  return {}
end
function OnRestoreCheckpoint(level, obj, savedInfo)
end
function OnMarkerEnterZone(level, scriptObj, volumeGameObject, markerGameObject, markerId)
  print("marker obj", scriptObj, volumeGameObject, markerGameObject, markerId)
  if markerGameObject:HasMarker("VibrateCrystalObj") and not game.Interact.IsTagSetFiltered("ThrowableCrystal") then
    markerGameObject:CallScript("CrystalHitByProjectile")
  end
end
